
Figure - Bug #118623
IOVDEV-33249【内部】【VC1】【0106】【台架】【EE环境】【副屏】【launcher】通知中心收到新消息低概
率自动出现，且背景透明显示
2023-06-07 17:43 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Minor Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230607 16:22，第209次开机

【前提条件】：副屏安装微信，且登录

【操作步骤】：未操作副屏，微信收到新消息

【实际结果】：通知中心自动出现，背景透明

【期望结果】：应用收到新消息不会自动打开通知中心

【备注】：2天测试过程中，出现2次，可自动恢复

log：https://ofs.human-horizons.com/#/download/index/aMkPhnCJDEg%3D

【硬件版本号】：/

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-08 17:37 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-06-10 16:24 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-周羚洛

#3 - 2023-06-13 13:39 - CD FW-周羚洛

■ 我的分析

1.分析日志

tlog_iov0201017500006162025411a2212290000000771_000209_0607162431/FSEM_000209_0134_0607160953/logcat

只能在日志中找到通知相关日志，无法找到UI界面异常的日志。

2.代码分析

通过bug截图分析可知，只有通知左侧出现，通知右侧没出现，因此和NotificationStackScrollLayout的控制显示有关

NotificationStackScrollLayout.java

--------------------------------------------------------------------------------

4474      private void updateVisibility() {

4475          boolean shouldShow = !mAmbientState.isFullyHidden() || !onKeyguard();
4476          setVisibility(shouldShow ? View.VISIBLE : View.INVISIBLE);

4477      }

--------------------------------------------------------------------------------

因此可以获得NotificationStackScrollLayout的显示和mAmbientState.isFullyHidden和onKeyguard有关。

onKeyguard中只是和mStatusBarState有关，目前查看复现是在桌面，而onKeyguard也是和锁屏相关。

检查mStatusBarState的赋值，查看在Launcher时候mStatusBarState的赋值是否异常，但是这里显示，就代表通知右侧也会显示，因此跟本case不符合。

mAmbientState.isFullyHidden的调查

frameworks/base/packages/SystemUI/src/com/android/systemui/statusbar/notification/NotificationWakeUpCoordinator.kt

--------------------------------------------------------------------------------

377      private fun updateHideAmount() {

378          val linearAmount = min(1.0f - mLinearVisibilityAmount, mLinearDozeAmount)

379          val amount = min(1.0f - mVisibilityAmount, mDozeAmount)

380          mStackScrollerController.setHideAmount(linearAmount, amount)

381          notificationsFullyHidden = linearAmount == 1.0f

382      }

--------------------------------------------------------------------------------

跟amount相关，因此和mVisibilityAmount与mDozeAmount是相关的。

mVisibilityAmount 主要用于协调通知的唤醒和亮屏

mDozeAmount Doze 模式下的显示状态比例

因此这里和屏幕和通知的唤醒有关，但是都是和唤醒屏幕有关，跟本case不符合

3.运行消耗内存app，把内存消耗到低值，测试50次

测试50次没有复现。

4.使用demo反复发送10000次

反复发送10000次没有复现这个问题。

■ 下一步计划

通过分析日志和代码分析与自己验证，都没有找到关键点。

该问题无法复现，研发无法去修正这个问题，并且即便修正了，也无法验证是否修复。

请测试帮忙查看该问题复现手法或者复现较高的的手法。

CD TEST-方永红 请帮忙找下复现步骤

#4 - 2023-06-13 13:47 - CD FW-周羚洛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-周羚洛 to CD TEST-方永红

#5 - 2023-07-03 17:10 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.3

客户已关闭，同步关闭

#6 - 2023-07-03 17:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2023-07-03 17:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
